Utilize the building way used in other places like the 'Release Howto' and the INSTALL file. Use `make -j$(nproc)`
ClosedPublic

Authored by asensi on Feb 20 2020, 11:31 PM.

Details

Summary

With that method, the "krusader-build" folder way is used, as it's also followed in:

Additionally, as Alex Lohnau proposed, use make -j$(nproc).

Diff Detail

Repository
R938 Krusader Website
Lint
Lint Skipped
Unit
Unit Tests Skipped
asensi requested review of this revision.Feb 20 2020, 11:31 PM
asensi created this revision.
alex added a subscriber: alex.Feb 21 2020, 9:06 AM

Hello,

what do you think about using make -j$(nproc) instead of just make this way all the available cores are used for compiling.
This is just a little trick I sometimes forget to change when I follow build instructions.

asensi updated this revision to Diff 76189.Feb 22 2020, 7:30 PM

As Alex Lohnau proposed, use make -j$(nproc).

asensi retitled this revision from Utilize the building way used in other places like the 'Release Howto' and the INSTALL file to Utilize the building way used in other places like the 'Release Howto' and the INSTALL file. Use `make -j$(nproc)`.Feb 22 2020, 7:31 PM
asensi edited the summary of this revision. (Show Details)

Hello, what do you think about using make -j$(nproc) instead of just make this way all the available
cores are used for compiling.
This is just a little trick I sometimes forget to change when I follow build instructions.

Thanks, Alex!

gengisdave accepted this revision.Tue, Mar 3, 7:16 AM
gengisdave added a subscriber: gengisdave.

Fine to me

This revision is now accepted and ready to land.Tue, Mar 3, 7:16 AM
asensi closed this revision.Tue, Mar 3, 10:49 PM